#!/usr/bin/perl 
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#
# This Source Code Form is "Incompatible With Secondary Licenses", as
# defined by the Mozilla Public License, v. 2.0.
use lib '../';
use strict;
use lib qw(. lib);
use Bugzilla;
use GetSimilares;
use Bugzilla::Constants;
use Bugzilla::Error;
use Bugzilla::Util;
use Bugzilla::Field;
use Bugzilla::Token; 
 
my $cgi = Bugzilla->cgi; 
my $dbh = Bugzilla->dbh; # Conecta .
my $template = Bugzilla->template;
my $vars = {};
#pegando a variavel como parametro

my $id = $cgi->param('id');
my $similarityThreshold = $cgi->param('similarityThreshold');
my $highestSeverity = $cgi->param('highestSeverity');
my $lowestSeverity = $cgi->param('lowestSeverity');
my $includeEnhancements = $cgi->param('includeEnhancements');
my $unassignedBugsOnly = $cgi->param('unassignedBugsOnly');
my $didnotreport = $cgi->param('didnotreport');
my $userId =  $cgi->param('iduser');
my $MaxRec = $cgi->param('MaxRec');
if($MaxRec eq ""){

	$MaxRec = 5;
}



my %hashRecomendacao = GetSimilares->getSimilares($similarityThreshold,$highestSeverity,$lowestSeverity,$includeEnhancements,$unassignedBugsOnly,$didnotreport,$id,$userId);
 my @v = keys(%hashRecomendacao);

 my $tem = keys(%hashRecomendacao);


if($tem == 0){
	print $cgi->header(),
 	$cgi->start_html(''), # start the HTML
  
 
         "<div id='nextb_recommendations'><p>No recommendations for this search</p>",
	 "</div>",
         $cgi->end_html;
}

else{
#print("keus @v\n");

 
 

my $to;
foreach $to(@v){
      
     # print"<h1 $hashRecomendacao{$to}->[1] \n";
      }

print $cgi->header(),
 $cgi->start_html(''), # start the HTML
  
 
         "<div id='nextb_recommendations'>",
        
          "<table id='nextb_recommendations_table'  cellspacing='0' cellpadding='4' style='border:1px solid #eeeeee;border-collapse: collapse; border-bottom: 1px solid rgba(0, 0, 0, 0.2); box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);'>"
,		
          "<tbody>",
		$cgi->Tr(	
		 $cgi->th({colspan=>"2",style=>"background-color:#DDDDDD"},"Similar Bugs Recommendation")         
         
                 
         
         
         
         
         );
         my $i = 0;
     foreach my $data (sort { $hashRecomendacao{$b}->[2] <=> $hashRecomendacao{$a}->[2] } keys %hashRecomendacao){    
         #for(my $i = 0;$i<5;$i++){
          my @data = $dbh->selectrow_array("select login_name, realname from profiles where userid = $hashRecomendacao{$data}->[4]");#pega o nome do usuario e o login
          my $similaridade = sprintf("% .2f",$hashRecomendacao{$data}->[2 ]);
          $similaridade = $similaridade * 100;
         print $cgi->Tr({class=>"bz_contenttype_image_png"},
		 $cgi->td({valign=>"top"},$cgi->a({href=>"nextbug/Redirects.cgi?idusu=$userId&idbugori=$id&idbugrecommended=$hashRecomendacao{$data}->[0]"},$cgi->b("$hashRecomendacao{$data}->[0]")),", $hashRecomendacao{$data}->[1]","<span class='bz_attach_extra_info'>","</BR>", "", "<span class='vcard'><span class='fn'> 	$hashRecomendacao{$data}->[3],$data[1] [$data[0]]</span>
          </span>"),      
                  $cgi->td({class=>"bz_attach_flags", valign=>"top"},$cgi->i("$similaridade% Similarity"))
                 
                 
         
         
         
         );
         $i++;
         if($i >=$MaxRec){
          
          last;
          
          }
         
        }
          
         print"<tbody>","</table>";
         
         
         "</div>",
         $cgi->end_html;
}
         
